Subject: Re: [iucg] [discuss] NetMundial Initiative

From: JFC Morfin <[email-masked]>
Date: Sat, 16 Aug 2014 09:47:25 +0200

At 08:14 15/08/2014, Nnenna Nwakanma wrote:
>I woke up early this morning and read Anne Jellema (CEO of Web 
>Foundation)'s blog post. She titled it "Fall of Internet Governance?"
>
>I found it interesting, especially from the civil society point of view.

Nnenna,

all this shows that the CS tears and cries strategy does not pay 
back. If there are Human Digital Rights attached to a system we build 
ourselves with our own machines, why don't we respect and enforce 
them ourselves first, and make this autumn the fall of our Internet 
Governance. The MYCANN project plans to go in that direction. Who 
else? The internet is us, not the US.

jfc

(http://mycann.org. The road map plans to technically gather and 
support the EZoP  HomeRoot, SuperIANA and Happy-IP project together 
in order to give everyone their VGN. This is a CS/Libre/IUCG inititative.